Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Interface TraceListenerEx3

All Superinterfaces:
  java.util.EventListener, TraceListener, TraceListenerEx, TraceListenerEx2

All Known Implementing Classes:
  PrintTraceListener

public interface TraceListenerEx3
extends TraceListenerEx2

Extends TraceListenerEx2 but adds extensions trace events.

Usage:
  **For advanced use only**

Method Summary
`void` | `extension(ExtensionEvent ee)` Method that is called when an extension event occurs.
`void` | `extensionEnd(ExtensionEvent ee)` Method that is called when the end of an extension event occurs.

Methods inherited from interface org.apache.xalan.trace.TraceListenerEx2
`traceEnd`

Methods inherited from interface org.apache.xalan.trace.TraceListenerEx
`selectEnd`

Methods inherited from interface org.apache.xalan.trace.TraceListener
`generated, selected, trace`

Method Detail

### extension

    public void extension(ExtensionEvent ee)

  Method that is called when an extension event occurs. The method is blocking. It must return before processing continues.

### extensionEnd

    public void extensionEnd(ExtensionEvent ee)

  Method that is called when the end of an extension event occurs. The method is blocking. It must return before processing continues.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.